Identity is an abstract class for all the Darcs's identities

### Hierarchy

- IIdentity
  - ISigner

### Implemented by

- IdentityDarc
- IdentityDid
- IdentityEd25519
- SignerEd25519

## Index

### Methods

- toBytes
- toString
- verify

## Methods

### toBytes

- toBytes(): Buffer

- - Defined in src/darc/identity-wrapper.ts:112

  Get the byte array representation of the public key of the identity

  #### Returns Buffer

  the public key as buffer

### toString

- toString(): string

- - Defined in src/darc/identity-wrapper.ts:118

  Get the string representation of the identity

  #### Returns string

  a string representation

### verify

- verify(msg: Buffer, signature: Buffer): boolean

- - Defined in src/darc/identity-wrapper.ts:106

  Returns true if the verification of signature on the sha-256 of msg is successful or false if not.

  #### Parameters

  - ##### msg: Buffer

    the message to verify

  - ##### signature: Buffer

    the signature to verify

  #### Returns boolean

  true when the signature matches the message, false otherwise

Generated using TypeDoc